SDL_winrtvideo_cpp.h File Reference
`#include <windows.h>`
`#include "SDL_video.h"`
`#include "SDL_events.h"`
`#include "../SDL_sysvideo.h"`
`#include "../SDL_egl_c.h"`
Include dependency graph for SDL_winrtvideo_cpp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData

## Macros

#define | SDL_WINRT_USE_APPLICATIONVIEW 1

## Functions

void | WINRT_UpdateWindowFlags (SDL_Window *window, Uint32 mask)
Uint32 | WINRT_DetectWindowFlags (SDL_Window *window)

## Variables

SDL_Window * | WINRT_GlobalSDLWindow

## Macro Definition Documentation

## SDL_WINRT_USE_APPLICATIONVIEW

#define SDL_WINRT_USE_APPLICATIONVIEW 1

Definition at line 35 of file SDL_winrtvideo_cpp.h.

## Function Documentation

## WINRT_DetectWindowFlags()

Uint32 WINRT_DetectWindowFlags | ( | SDL_Window * | window | ) |

Referenced by IsSDLWindowEventPending(), SDL_RestoreMousePosition(), SDL_UpdateFullscreenMode(), and WINRT_ProcessWindowSizeChange().

## WINRT_UpdateWindowFlags()

void WINRT_UpdateWindowFlags | ( | SDL_Window * | window,
|  | Uint32 | mask
| ) |  |

Referenced by WINRT_ProcessWindowSizeChange().

## Variable Documentation

## WINRT_GlobalSDLWindow

SDL_Window* WINRT_GlobalSDLWindow

Referenced by IsSDLWindowEventPending(), WINRT_LogPointerEvent(), WINRT_OnPointerMovedViaXAML(), WINRT_OnPointerPressedViaXAML(), WINRT_OnPointerReleasedViaXAML(), WINRT_OnPointerWheelChangedViaXAML(), and WINRT_ProcessWindowSizeChange().